[Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all

Bug #1320020 reported by Isiah Meadows on 2014-05-15
150
This bug affects 34 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

I can get perfect sound through headphones, and the kernel recognizes the internal speaker, but nothing is ever played through it. I have personally tested a pair of earbuds to make sure that sound could play through the headphone port, and that isn't a problem. The sound driver just refuses to recognize the existence of the speaker, even though the kernel does.

I wouldn't be surprised if the last upstream update had something to do with it.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.14.1-0ubuntu3.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: isiah 7361 F.... pulseaudio
CurrentDesktop: GNOME
Date: Thu May 15 18:07:52 2014
InstallationDate: Installed on 2014-01-29 (106 days ago)
InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64 (20131017)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
Symptom_Card: Built-in Audio - HDA Intel
Symptom_DevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: isiah 7361 F.... pulseaudio
Symptom_Jack: Speaker, Internal
Symptom_Type: No sound at all
Title: [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
UpgradeStatus: Upgraded to trusty on 2014-05-04 (11 days ago)
dmi.bios.date: 03/23/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0M7CYJ
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A05
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd03/23/2011:svnDellInc.:pnInspiron1470:pvrA05123:rvnDellInc.:rn0M7CYJ:rvrA05:cvnDellInc.:ct8:cvrA05:
dmi.product.name: Inspiron 1470
dmi.product.version: A05123
dmi.sys.vendor: Dell Inc.

Isiah Meadows (impinball) wrote :
Isiah Meadows (impinball) wrote :

I would like to mention that there are also other people on Ask Ubuntu complaining about the same symptoms (no sound output through speakers, but headphones work perfectly fine).

Examples:
1. http://askubuntu.com/q/457028/258567
2. http://askubuntu.com/q/463748/258567

I'm going to inquire on both threads, and if they are not using Windows 8 (known issues regarding hybrid shutdown/fast boot), point them here.

Isiah Meadows (impinball) wrote :

I am running a dual boot with Windows 7 and Ubuntu, by the way (with Hibernate disabled). The known issues with Windows 8 do not apply here.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Isiah Meadows (impinball) wrote :

There is a possibility that it may affect more than dual-boot users.

Also, I have found the following patterns:

1. It usually does not work when the system boots.
2. The times it starts working/stops working is when the device goes to sleep mode and comes out.

One place to look is where sound restart happens coming out of sleep mode/starting up.

Isiah Meadows (impinball) wrote :

Add alsa-info.sh output

Isiah Meadows (impinball) wrote :

upload alsa-info output when working

Isiah Meadows (impinball) wrote :

Upload bad version

Isiah Meadows (impinball) wrote :

Upload diff of above files in separate document

Isiah Meadows (impinball) wrote :

I believe it to likely be in startup code (used in both sleep mode and system startup).

Isiah Meadows (impinball) wrote :

On [Ask Ubuntu](https://www.askubuntu.com), it is especially common with Dell computers. I'm sending many people to this bug.

Takkat (takkat-nebuk) wrote :

From above mentioned reports on Ask Ubuntu people reported that avoiding hibernation or fast-boot of Windows succeeded in resolving the issue.

It may therefore rather be an issue with inappropriate hardware shut down from the Windows hibernation process than an issue of the Ubuntu sound system.

On the other hand, some others don't have Windows 8 (like me).
On Aug 8, 2014 2:35 AM, "Takkat" <email address hidden> wrote:

> >From above mentioned reports on Ask Ubuntu people reported that
> avoiding hibernation or fast-boot of Windows succeeded in resolving the
> issue.
>
> It may therefore rather be an issue with inappropriate hardware shut
> down from the Windows hibernation process than an issue of the Ubuntu
> sound system.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1320020
>
> Title:
> [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> Confirmed
>
> Bug description:
> I can get perfect sound through headphones, and the kernel recognizes
> the internal speaker, but nothing is ever played through it. I have
> personally tested a pair of earbuds to make sure that sound could play
> through the headphone port, and that isn't a problem. The sound driver
> just refuses to recognize the existence of the speaker, even though
> the kernel does.
>
> I wouldn't be surprised if the last upstream update had something to
> do with it.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.14.1-0ubuntu3.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu May 15 18:07:52 2014
> InstallationDate: Installed on 2014-01-29 (106 days ago)
> InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64
> (20131017)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
> UpgradeStatus: Upgraded to trusty on 2014-05-04 (11 days ago)
> dmi.bios.date: 03/23/2011
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A05
> dmi.board.name: 0M7CYJ
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A05
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: A05
> dmi.modalias:
> dmi:bvnDellInc.:bvrA05:bd03/23/2011:svnDellInc.:pnInspiron1470:pvrA05123:rvnDellInc.:rn0M7CYJ:rvrA05:cvnDellInc.:ct8:cvrA05:
> dmi.product.name: Inspiron 1470
> dmi.product.version: A05123
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1320020/+subscriptions
>

Raymond (superquad-vortex2) wrote :

Node 0x14 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Speaker Phantom Jack", index=0, device=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x80 0x80]
  Pincap 0x0001003c: IN OUT HP EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Unsolicited: tag=00, enabled=0
  Power states: D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 2
     0x0c 0x0d*

control.15 {
  iface CARD
  name 'Headphone Jack'
  value true
  comment {
   access read
   type BOOLEAN
   count 1
  }
 }

your speaker was muted by driver when headphone is plugged

try hda jack sense test to test HP and mic

Isiah Meadows (impinball) wrote :
Download full text (3.7 KiB)

And how would I go around to do that?
On Aug 8, 2014 3:41 AM, "Raymond" <email address hidden> wrote:

> Node 0x14 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
> Control: name="Speaker Playback Switch", index=0, device=0
> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
> Control: name="Speaker Phantom Jack", index=0, device=0
> Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
> Amp-Out vals: [0x80 0x80]
> Pincap 0x0001003c: IN OUT HP EAPD Detect
> EAPD 0x2: EAPD
> Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
> Conn = ATAPI, Color = Unknown
> DefAssociation = 0x1, Sequence = 0x0
> Misc = NO_PRESENCE
> Pin-ctls: 0x00:
> Unsolicited: tag=00, enabled=0
> Power states: D0 D1 D2 D3 EPSS
> Power: setting=D0, actual=D0
> Connection: 2
> 0x0c 0x0d*
>
>
>
> control.15 {
> iface CARD
> name 'Headphone Jack'
> value true
> comment {
> access read
> type BOOLEAN
> count 1
> }
> }
>
>
> your speaker was muted by driver when headphone is plugged
>
>
> try hda jack sense test to test HP and mic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1320020
>
> Title:
> [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> Confirmed
>
> Bug description:
> I can get perfect sound through headphones, and the kernel recognizes
> the internal speaker, but nothing is ever played through it. I have
> personally tested a pair of earbuds to make sure that sound could play
> through the headphone port, and that isn't a problem. The sound driver
> just refuses to recognize the existence of the speaker, even though
> the kernel does.
>
> I wouldn't be surprised if the last upstream update had something to
> do with it.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.14.1-0ubuntu3.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu May 15 18:07:52 2014
> InstallationDate: Installed on 2014-01-29 (106 days ago)
> InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64
> (20131017)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
> UpgradeStatus: Upgraded to trusty on 2014-05-04 (11 days ago)
> dmi.bios.date: 03/23/2011
> dmi.bios.ve...

Read more...

Isiah Meadows (impinball) wrote :
Download full text (3.7 KiB)

Also, I never used headphones in running alsa-test.sh. Thought that might
help.
On Aug 8, 2014 3:41 AM, "Raymond" <email address hidden> wrote:

> Node 0x14 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
> Control: name="Speaker Playback Switch", index=0, device=0
> ControlAmp: chs=3, dir=Out, idx=0, ofs=0
> Control: name="Speaker Phantom Jack", index=0, device=0
> Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
> Amp-Out vals: [0x80 0x80]
> Pincap 0x0001003c: IN OUT HP EAPD Detect
> EAPD 0x2: EAPD
> Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
> Conn = ATAPI, Color = Unknown
> DefAssociation = 0x1, Sequence = 0x0
> Misc = NO_PRESENCE
> Pin-ctls: 0x00:
> Unsolicited: tag=00, enabled=0
> Power states: D0 D1 D2 D3 EPSS
> Power: setting=D0, actual=D0
> Connection: 2
> 0x0c 0x0d*
>
>
>
> control.15 {
> iface CARD
> name 'Headphone Jack'
> value true
> comment {
> access read
> type BOOLEAN
> count 1
> }
> }
>
>
> your speaker was muted by driver when headphone is plugged
>
>
> try hda jack sense test to test HP and mic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1320020
>
> Title:
> [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> Confirmed
>
> Bug description:
> I can get perfect sound through headphones, and the kernel recognizes
> the internal speaker, but nothing is ever played through it. I have
> personally tested a pair of earbuds to make sure that sound could play
> through the headphone port, and that isn't a problem. The sound driver
> just refuses to recognize the existence of the speaker, even though
> the kernel does.
>
> I wouldn't be surprised if the last upstream update had something to
> do with it.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu4
> ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.14.1-0ubuntu3.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu May 15 18:07:52 2014
> InstallationDate: Installed on 2014-01-29 (106 days ago)
> InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64
> (20131017)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: isiah 7361 F.... pulseaudio
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [Inspiron 1470, Realtek ALC272, Speaker, Internal] No sound at all
> UpgradeStatus: Upgraded to trusty on 2014-05-04 (11 days ago)
> ...

Read more...

tagMacher (tagmacher) wrote :

On the Compaq V2414 laptop, the internal speakers have never worked; sound is normal through headphones connected to jack.

Ian Stewart (falcon12642) wrote :

Having similar problems with a Toshiba NB200. As a point of interest here is when the problem started.
Installed 14.04 from scratch. Did the updates. Installed Gnome Flashback. Sound working perfectly at this stage, even after several log outs.
Installed 'libtiff4' via the archives as it was needed to install Canon printerdrivers for MG4200 series. Sound still working at htis stage.
Log out. Still getting sound when switching between accounts which are chosen at log in screen.
Log in, and now no sound.
Insert headphones and notice playback device in 'Sound Settings' changes to headphones, and sound can be heard.
Unplug headphones and device changes back to speakers, and voila ......... sound through the speakers until I log off.
Log back in, and only way to get sound working is to plug, then unplug headphones.

Could this be a fault in initialisation of the sound on a user account? ie. defaulting to headphones

Isiah Meadows (impinball) wrote :

That was my hypothesis. I know little about the internals of ALSA.]

It has lately started happening less often for me, but I haven't made a concerted attempt recently to see if it still repros on my machine.

I apparently haven't posted repro instructions yet, so here they are (only works on laptops)

1. Boot and log in.
2. Put machine into sleep mode.
3. Wake the machine.
4. As it's waking (and the screen comes on), put it to sleep while it is loading. This means closing the lid in the case for laptops.
5. Wake the machine again.
6. Sound now stops working through speakers.
7. Put the machine to sleep.
8. Wake it again, and unlock it if necessary.
9. Sound now works through speakers.

Note: this works about 30-50% of the time, but it is rare for it to take more than 3-5 tries to trigger it. The typical case I've found is 2.

I also have libtiff4 installed, but I don't have the easiest access to a clean install.

I'm experiencing this bug on my Gateway M-6816 with Ubuntu 14.04 64 bit. Happened after updates a few weeks ago.
I do not have Windows 7 or 8 or 8.1 installed on this computer, just Ubuntu.
Headphones work fine (after the usual gateway fix for this model adding the line to alsa-base.conf "options snd-hda-intel model=eapd probe_mask=1 position_fix=1")
If we get a fix for this I'll be happy. Meanwhile I'm connecting a portable usb speaker to get sound.

Michael Mattison (mattisonma) wrote :

I'm experiencing this bug on my Acer Aspire 5253-BZ480 and I'm not dual booting at all just running a clean install of Ubuntu 14.04 but have had the problem since I installed it back in April. It plays sound through the speakers for just over a minute then shuts off. No solutions I've tried work.

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Magdalena Luz (magdalena-umsu) wrote :

I have the sam problem with Ubuntu 14.10 on a Thinkpad S540.
I did a fresh install of Ubuntu, I am running Ubuntu only, no Dual Boot.

Barry DeZonia (bdezonia-6) wrote :

I also have the problem on an Asus tower computer running 14.04 all by itself (no dual boot, no windows). I have found that I can get the speakers to work (at reduced volume) by leaving the headphones plugged into the headphone jack on the computer. Removing the headphones from the jack also kills the sound to the external speakers. Note that my computer seems to have at least four audio out jacks on the back and sound is not produced using the standard green jack.

Seeing this problem on a clean install (no dual boot) of any release from 13.10 on up to 14.10.
Lenovo x120e.

Drum sounds are heard at login screen, then no sound in system.
Sometimes it works for a while, then shuts off randomly.
Works fine in live cd.
Seems to be something within an update done via system updater after install.

Headphones work just fine when plugged in.
Sound works fine when Windows 7 or 8.1 is installed (non dual-boot)

Any way we can increase the importance of this? It has not worked for over a year now for me.

rodney (rod-muncher) wrote :

i am using ubuntu gnome 14.10 on a medion akoya netbook dual boot with win 8.1. The sound worked fine until i plugged headphones in for the first time - then it got stuck in headphones mode.
In settings there is only headphones for output devices and a little heaphones symbol in the volume bar.

Nam Lah (namlah) wrote :

Same here.

Just installed Ubuntu 14.x LTS to avoid issues with my Broadcom 43142 (I tried Fedora first.

This is a less-than-a-week old Asus X555LN that had W8.1 installed from factory and completely removed from the Hard Drive.

* Secure Boot has been disabled.
* No dual boot here.
* Sound worked fine in Windows 8.1, Fedora 22 (unfortunately, WLAN did not and that's why I decided to try this Ubuntu LTS) and Windows 7 (I decided to try W7 just to do a Dual Boot but then I desisted and installed Ubuntu).
* Sound works fine through headphones.
* Toggling between speakers and headphones does not resolve the issue.
* doing
 $ alsa force-reload
does not resolve the issue.
* Disabling auto-mute via
$ alsamixer
does not resolve the issue.

$ lspci | grep Audio
shows

00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:1b.0 Audio device: Intel Corporation Lynx Point-LP HD Audio Controller (rev 04)

$ pulseaudio
shows

E: [pulseaudio] pid.c: Daemon already running.
E: [pulseaudio] main.c: pa_pid_file_create() failed.

Still looking for any additional information/entries at forums/tuts to try. Please advise if this thread will be followed up on and if we can expect any resolution. Thank you.

Nam Lah (namlah) wrote :

I apologize for the former duplicate comment.
Here is my Alsa diagnostics record:

http://www.alsa-project.org/db/?f=933c80f69db47ba8dea0519dd73d9cdc81a53aec.

Thank you for any help on this.

Gaz (gaznims) wrote :
Download full text (3.2 KiB)

I also have a very similar problem with my Alienware 18x r2 Running Linux Mint 17.2

I just installed the latest " Kernel 4.1.7-040107-generic " hoping it would help but no changes

HDA Intel
HDA Nvida
Realtek ALC3661

My problem is my sound was only coming through my Sub
So sound is very Dull and Bad Quallity
I have tried HDAJackRetask and have sound coming from the two normal speakers but not the Sub

I contacted Dell they don’t really seem interested

Sound Card Specs

Realtek ACL3661

Advanced Linux Sound Architecture Driver Version k3.16.0-38-generic.

List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3661 Analog [ALC3661 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
Subdevices: 1/1
Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 7: HDMI 1 [HDMI 1]
Subdevices: 1/1
Subdevice #0: subdevice #0

gary@gary-Alienware-18 ~ $ lsmod | grep snd
snd_hda_codec_hdmi 47548 1
snd_hda_codec_realtek 77467 1
snd_hda_codec_generic 69011 1 snd_hda_codec_realtek
snd_hda_intel 30469 7
snd_hda_controller 30228 1 snd_hda_intel
snd_hda_codec 139682 5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel,snd_hda_controller
snd_hwdep 17698 1 snd_hda_codec
snd_pcm 104112 5 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_controller
snd_seq_midi 13564 0
snd_seq_midi_event 14899 1 snd_seq_midi
snd_rawmidi 30876 1 snd_seq_midi
snd_seq 63074 2 snd_seq_midi_event,snd_seq_midi
snd_seq_device 14497 3 snd_seq,snd_rawmidi,snd_seq_midi
snd_timer 29562 2 snd_pcm,snd_seq
snd 79468 24 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore 15047 2 snd,snd_hda_codec

ry@gary-Alienware-18 ~ $ cat /proc/asound/devices
1: : sequencer
2: [ 0] : control
3: [ 0- 0]: digital audio playback
4: [ 0- 0]: digital audio capture
5: [ 0- 0]: hardware dependent
6: [ 1] : control
7: [ 1- 3]: digital audio playback
8: [ 1- 7]: digital audio playback
9: [ 1- 0]: hardware dependent
33: : timer

┌──────────────────────────── AlsaMixer v1.0.27.2 ─────────────────────────────┐
│ Card: HDA Intel PCH F1: Help │
│ Chip: Realtek ALC3661 F2: System information │
│ View: F3:[Playback] F4: Capture F5: All F6: Select sound card │
│ Item: Master [dB gain: -23.25] Esc: Exit │
│ │
│ ┌──┐ ┌──┐ ┌──┐ ┌──┐ ┌──┐ ┌──┐ │
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ │
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ │
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │ │ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ →
│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ │
│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │▒▒│ │ │ │
│ ├──┤ ├──┤ ├──┤ ┌──┐ ├──┤ ┌──┐ └──┘ ├──┤ │
│ │OO│ │OO│ │OO│ │OO│ │OO│ │OO│ │MM│ │
│ └──┘ └──┘ └──┘ └──┘ └──┘ └──┘ └──┘ │
│ 36 100<>100 100<>100 100<>100 100<>100 0<>0 │
│ < Master >Headphon Headphon Speaker Speaker Speaker PCM Mic │
└────────────────────────────────────────────────────────────────────────────

I am hoping there is going to an easy Fix
There are many others with Alienware Rigs waiting ...

Read more...

Raymond (superquad-vortex2) wrote :
Download full text (4.6 KiB)

17.092923] [drm:intel_pipe_config_compare] *ERROR* mismatch in gmch_pfit.lvds_border_bits (expected 32768, found 0)
[ 17.092925] ------------[ cut here ]------------
[ 17.092973] WARNING: CPU: 1 PID: 329 at /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_display.c:9299 check_crtc_state+0x255/0x340 [i915]()
[ 17.092974] pipe state doesn't match!
[ 17.093004] Modules linked in: snd_hda_intel(+) snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi lib80211_crypt_tkip dell_wmi sparse_keymap wl(POF+) snd_seq lib80211 cfg80211 snd_seq_device snd_timer lpc_ich(+) snd i915(+) soundcore drm_kms_helper drm i2c_algo_bit wmi video mac_hid parport_pc ppdev lp parport hid_generic usbhid hid psmouse ahci r8169 libahci mii
[ 17.093008] CPU: 1 PID: 329 Comm: systemd-udevd Tainted: PF O 3.13.0-24-generic #47-Ubuntu
[ 17.093009] Hardware name: Dell Inc. Inspiron 1470/0M7CYJ, BIOS A05 03/23/2011
[ 17.093015] 0000000000000009 ffff8800b1f2f188 ffffffff81715ac4 ffff8800b1f2f1d0
[ 17.093019] ffff8800b1f2f1c0 ffffffff810676bd ffff8800b1dd06e0 ffff8800b1f2f250
[ 17.093022] ffff8801362cc800 ffff8800b1dd0000 ffff8801362ccb28 ffff8800b1f2f220
[ 17.093023] Call Trace:
[ 17.093031] [<ffffffff81715ac4>] dump_stack+0x45/0x56
[ 17.093035] [<ffffffff810676bd>] warn_slowpath_common+0x7d/0xa0
[ 17.093038] [<ffffffff8106772c>] warn_slowpath_fmt+0x4c/0x50
[ 17.093072] [<ffffffffa015925c>] ? intel_pipe_config_compare+0x96c/0xac0 [i915]
[ 17.093106] [<ffffffffa015a6f5>] check_crtc_state+0x255/0x340 [i915]
[ 17.093142] [<ffffffffa0167dfb>] intel_modeset_check_state+0x2bb/0x780 [i915]
[ 17.093177] [<ffffffffa0168355>] intel_set_mode+0x25/0x30 [i915]
[ 17.093212] [<ffffffffa0168bfb>] intel_crtc_set_config+0x7ab/0x9a0 [i915]
[ 17.093236] [<ffffffffa00c3e9d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
[ 17.093243] [<ffffffffa011ef41>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
[ 17.093248] [<ffffffff813d28c4>] fbcon_init+0x4f4/0x570
[ 17.093253] [<ffffffff81456d98>] visual_init+0xb8/0x120
[ 17.093257] [<ffffffff814596d3>] do_bind_con_driver+0x163/0x330
[ 17.093261] [<ffffffff81459e84>] do_take_over_console+0x114/0x1c0
[ 17.093265] [<ffffffff813ce183>] do_fbcon_takeover+0x63/0xd0
[ 17.093268] [<ffffffff813d342d>] fbcon_event_notify+0x60d/0x720
[ 17.093272] [<ffffffff81721fbc>] notifier_call_chain+0x4c/0x70
[ 17.093276] [<ffffffff8108fd1d>] __blocking_notifier_call_chain+0x4d/0x70
[ 17.093280] [<ffffffff8108fd56>] blocking_notifier_call_chain+0x16/0x20
[ 17.093283] [<ffffffff813c367b>] fb_notifier_call_chain+0x1b/0x20
[ 17.093287] [<ffffffff813c566b>] register_framebuffer+0x1db/0x320
[ 17.093294] [<ffffffffa011ebdf>] drm_fb_helper_initial_config+0x32f/0x510 [drm_kms_helper]
[ 17.093299] [<ffffffff811a001f>] ? __kmalloc+0x15f/0x190
[ 17.093305] [<ffffffffa011e09e>] ? drm_fb_helper_init+0xfe/0x200 [drm_kms_helper]
[ 17.093346] [<ffffffffa01a2311>] intel_fbdev_initial_config+0x21/0x30 [i915]
[ 17.093373] [<ffffffffa012c2ec>] i915_driver_load+0xe3c/0xe70 [i915]
[ 17.093401] [<ffffffffa00bdce2>] drm_dev_register+0xa2/0x1e0 [drm]
[ ...

Read more...

Raymond (superquad-vortex2) wrote :

[14730.760617] [drm] HPD interrupt storm detected on connector DP-2: switching from hotplug detection to polling

palutz (palutz) wrote :

Same problem here with my Ubuntu 15.10 and Creative Soundcard. Most of the time is not working.
I usually run the script:
pulseaudio -k && sudo alsa force-reload
to make the sound work properly, but sometimes this is not working too.

Here my data:
http://www.alsa-project.org/db/?f=c87327b076f4459af554c72d862e16545f6bdc6c

!!Kernel Information
!!------------------

Kernel release: 4.0.5-040005-generic
Operating System: GNU/Linux
Architecture: x86_64
Processor: x86_64
SMP Enabled: Yes

!!ALSA Version
!!------------

Driver version: k4.0.5-040005-generic
Library version: 1.0.29
Utilities version: 1.0.29

...
...

!!Soundcards recognised by ALSA
!!-----------------------------

 0 [HDMI ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xfbad0000 irq 38
 1 [VX7000 ]: USB-Audio - Microsoft® LifeCam VX-7000
                      Microsoft Microsoft® LifeCam VX-7000 at usb-0000:00:1a.0-1.6, high speed
 2 [Creative ]: HDA-Intel - HDA Creative
                      HDA Creative at 0xfbff0000 irq 18

!!PCI Soundcards installed in the system
!!--------------------------------------

04:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cedar HDMI Audio [Radeon HD 5400/6300 Series]
0d:00.0 Audio device: Creative Labs SB Recon3D (rev 01)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

04:00.1 0403: 1002:aa68
 Subsystem: 1682:aa68
--
0d:00.0 0403: 1102:0012 (rev 01)
 Subsystem: 1102:0010

...
...

Matt (matt-rixman-i) wrote :

I first noticed this bug after installing the 4.4 kernel from kernel.org. For all I know it had been going on for a while--I don't use audio often.

I dual boot with windows 10 on a surface pro 3. My sound information can be found here:

http://www.alsa-project.org/db/?f=a1dbc0967f2580fefc016f2abefbe7ddc34f85a2

Matt (matt-rixman-i) wrote :

--retraction--

I'm an idiot for two reasons:

(i) The solution in comment #2 did fix my problem
(ii) I posted here anyway, and now can't figure out how to delete my previous comment.

Aron Podrigal (aronp) wrote :

I am encountering the same issue, Attached are 2 files from alsa-info.sh.

I use Ubuntu 16.04 - Dell XPS-15, and I DO NOT dual boot windows.

Summary:
1) Initially audio works fine.
2) Plug headphones in jack, Speaker audio stops and headphone works.
3) Unplug headphone, Speaker will not work
4) Plug headphone back in, it won't work either (at some times)
5) Unplug headphones.
6) Put laptop into sleep, Speaker audio will work again (Also at some times I had to repeat this step multiple times).

debug_audio.log.1 - Is when it is not working
debug_audio.log.3 - When it started to work after sleeping and waking up my laptop

Aron Podrigal (aronp) wrote :

Only one file can be attached at once, so here is the second file (when audio works again).

javier (maulican) wrote :

I have the same problem in Ubuntu 16.04 64b 4.10.0-37-generic, Dell Inspiron 15R chip Realtelk ALC 3223. I have already disabled Windows quick start but the problem persists. In the same way booting in Live cd mode.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers